SDL_RunHapticEffect(3)

NAME
SDL_RunHapticEffect - Run the haptic effect on its associated haptic device.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RunHapticEffect(SDL_Haptic *haptic, int effect, Uint32 iterations);

DESCRIPTION
To repeat the effect over and over indefinitely, set iterations to

SDL_HAPTIC_INFINITY . (Repeats the envelope - attack and fade.) To make one instance of the effect last indefinitely (so the effect does not fade), set the effect's length in its structure/union to SDL_HAPTIC_INFINITY instead.

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device to run the effect on.

effect
    the ID of the haptic effect to run.

iterations
    the number of iterations to run the effect; use SDL_HAPTIC_INFINITY to repeat forever.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetHapticEffectStatus(3), •(3), SDL_StopHapticEffect(3), •(3), SDL_StopHapticEffects(3)